import machine

#Setup Button Input x2 (0 & 1)
ButtonA  = machine.Pin(0, machine.Pin.IN, 
                       machine.Pin.PULL_DOWN)
ButtonB  = machine.Pin(1,machine.Pin.IN,
                       machine.Pin.PULL_DOWN)
#Setup PWM Buzzer Output x1 (15)
Buzzer = machine.PWM(machine.Pin(15)) 
Buzzer.duty_u16(32767) #Make it 50% duty cycle (32767/65535)
Frequency = 1000  #Set a starting frequency of 1kHz

def ButtonIRQHandler(pin):
    global Frequency
    if pin == ButtonA: #Raise the frequency
        if Frequency < 2000:
            Frequency += 50
    elif pin == ButtonB: #Lower the frequency
        if Frequency > 100:
            Frequency -= 50

#Setup the IRQ and hook it to the handler
ButtonA.irq(trigger = machine.Pin.IRQ_RISING,
            handler =  ButtonIRQHandler)   
ButtonB.irq(trigger = machine.Pin.IRQ_RISING, 
            handler =  ButtonIRQHandler)   

while True:
    Buzzer.freq(Frequency)